MARTe2-core - User story #290

Testing strategy for files.
09.12.2015 14:59 - André Neto

Status: Closed Start date: 09.12.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.10 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Uniform the testing strategy for tests that work with files (and directories), so that these can be removed at the end of the tests.

Source code files modified

Source/Core/FileSystem/L1Portability/Environment/Linux/Directory.cpp
Test/Core/FileSystem/L1Portability/BasicFile Test.cpp
Test/Core/FileSystem/L1Portability/BasicFileGTest.cpp
Test/GTest/DirectoryGTest.cpp
Test/Core/BareMetal/L1Portability/BasicConsoleGTest.cpp
Architecture & design review
Date of the review: 09/12/2015

Person who did the review: André Neto

Version of architecture & design document: N/A.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 18/12/2015

Person who did the review: R. Vitelli

Result of review: PASS

List of non-conformities: N/A.

Unit test review

Date of the review: 18/12/2015

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS

Result of review: PASS
List of non-conformities: N/A

Associated revisions

Revision f8a66c48 - 14.12.2015 18:52 - Giuseppe Ferro

#290 Put a rule in the makefile. The test files will be deleted at each
new compilation or doing "make -f Makefile.* clean_test_files"

Revision 608a1bec - 15.12.2015 08:15 - Giuseppe Ferro

#290 Used file redirecting for console input and the MARTe
DirectoryScanner implementation to clean the environment after BasicFile
tests

Revision cec0a735 - 15.12.2015 08:22 - Giuseppe Ferro
#290 removed unistd.h

Revision 9719a7ae - 15.12.2015 10:11 - Giuseppe Ferro

#290 Added the BasicFile clean environment

Revision eddfd77a - 18.12.2015 12:03 - Riccardo Vitelli
#290 Fixed bug in Directory::Create.

Changed creat() function to open() in order to set the right flags
and have it return false if the file already exists.
This also fixes DirectoryGTest:: TestCreate_File1.

Revision f887b304 - 18.12.2015 12:36 - Riccardo Vitelli
#290 Moved Create_ and Delete_Directory() in the test case SetUp() and

TearDown().

History

#1 - 14.12.2015 18:49 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#2 - 14.12.2015 18:49 - Giuseppe Ferro
- Status changed from Code: Impl to Code: Rev

#3 - 14.12.2015 18:53 - Giuseppe Ferro

- Description updated

code implementation done: f8a66c48b8c4f329501b49d55af463472a61bd6f
branched from develop

#4 - 14.12.2015 18:53 - Giuseppe Ferro
- Assignee deleted (Giuseppe Ferro)

#5 - 15.12.2015 09:28 - lvan Herrero

- Description updated

#6 - 16.12.2015 07:41 - Giuseppe Ferro

- Description updated

#7 - 18.12.2015 09:13 - Riccardo Vitelli

- Assignee set to Riccardo Vitelli

#8 - 18.12.2015 12:37 - Riccardo Vitelli

- Description updated

- Status changed from Code: Rev to Closed
- Assignee deleted (Riccardo Vitelli)
#9 - 18.12.2015 12:39 - Riccardo Vitelli

- Description updated
